Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class ValueReader

    java.lang.Object
      com.rabbitmq.client.impl.ValueReader

    public class ValueReader

extends java.lang.Object

Helper class to read AMQP wire-protocol encoded values.

Constructor Summary
`ValueReader(java.io.DataInputStream in)` Construct a MethodArgumentReader streaming over the given DataInputStream.

Method Summary
`int` | `readLong()` Public API - reads an integer.
`long` | `readLonglong()` Public API - reads a long integer.
`LongString` | `readLongstr()` Public API - reads a long string.
`int` | `readOctet()` Public API - reads an octet.
`int` | `readShort()` Public API - reads a short integer.
`java.lang.String` | `readShortstr()` Public API - reads a short string.
`java.util.Map<java.lang.String,java.lang.Object>` | `readTable()` Public API - reads a table.
`java.util.Date` | `readTimestamp()` Public API - reads an timestamp.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueReader

    public ValueReader(java.io.DataInputStream in)

  Construct a MethodArgumentReader streaming over the given DataInputStream.

Method Detail

### readShortstr

    public final java.lang.String readShortstr()
                                        throws java.io.IOException

  Public API - reads a short string.

  Throws:
    `java.io.IOException`

### readLongstr

    public final LongString readLongstr()
                                 throws java.io.IOException

  Public API - reads a long string.

  Throws:
    `java.io.IOException`

### readShort

    public final int readShort()
                        throws java.io.IOException

  Public API - reads a short integer.

  Throws:
    `java.io.IOException`

### readLong

    public final int readLong()
                       throws java.io.IOException

  Public API - reads an integer.

  Throws:
    `java.io.IOException`

### readLonglong

    public final long readLonglong()
                            throws java.io.IOException

  Public API - reads a long integer.

  Throws:
    `java.io.IOException`

### readTable

    public final java.util.Map<java.lang.String,java.lang.Object> readTable()
                                                                     throws java.io.IOException

  Public API - reads a table.

  Throws:
    `java.io.IOException`

### readOctet

    public final int readOctet()
                        throws java.io.IOException

  Public API - reads an octet.

  Throws:
    `java.io.IOException`

### readTimestamp

    public final java.util.Date readTimestamp()
                                       throws java.io.IOException

  Public API - reads an timestamp.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD